Subject: [RFC PATCH 7/8] Add two new fourcc codes for 16bpp formats
From: Guennadi Liakhovetski <[email-masked]>
To: [email-masked]
Date: Wed, 23 Jan 2008 18:42:09 +0100 (CET)
Newsgroups: gmane.comp.video.video4linux
List-Id: Linux and Kernel Video <video4linux-list.redhat.com>

This adds two new fourcc codes (as per info at fourcc.org)
for 16bpp mono and 16bpp Bayer formats.

Signed-off-by: Steven Whitehouse <[email-masked]>
---
This is a resend of the patch earlier sent by Steven Whitehouse. For some 
reason, I didn't see the patch in both his emails sent to the list, only 
in copies I got directly by cc. So, strictly speaking this patch doesn't 
belong to this series, but I need these 2 codes, and I'm giving the full 
credit to the original author:-)

 include/linux/videodev2.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/linux/videodev2.h b/include/linux/videodev2.h
index 05b8c22..b2c47c4 100644
--- a/include/linux/videodev2.h
+++ b/include/linux/videodev2.h
@@ -280,6 +280,7 @@ struct v4l2_pix_format
 #define V4L2_PIX_FMT_BGR32   v4l2_fourcc('B','G','R','4') /* 32  BGR-8-8-8-8   */
 #define V4L2_PIX_FMT_RGB32   v4l2_fourcc('R','G','B','4') /* 32  RGB-8-8-8-8   */
 #define V4L2_PIX_FMT_GREY    v4l2_fourcc('G','R','E','Y') /*  8  Greyscale     */
+#define V4L2_PIX_FMT_Y16     v4l2_fourcc('Y','1','6',' ') /* 16  Greyscale     */
 #define V4L2_PIX_FMT_YVU410  v4l2_fourcc('Y','V','U','9') /*  9  YVU 4:1:0     */
 #define V4L2_PIX_FMT_YVU420  v4l2_fourcc('Y','V','1','2') /* 12  YVU 4:2:0     */
 #define V4L2_PIX_FMT_YUYV    v4l2_fourcc('Y','U','Y','V') /* 16  YUV 4:2:2     */
@@ -302,6 +303,7 @@ struct v4l2_pix_format
 
 /* see http://www.siliconimaging.com/RGB%20Bayer.htm */
 #define V4L2_PIX_FMT_SBGGR8  v4l2_fourcc('B','A','8','1') /*  8  BGBG.. GRGR.. */
+#define V4L2_PIX_FMT_SBGGR16 v4l2_fourcc('B','Y','R','2') /* 16  BGBG.. GRGR.. */
 
 /* compressed formats */
 #define V4L2_PIX_FMT_MJPEG    v4l2_fourcc('M','J','P','G') /* Motion-JPEG   */
-- 
1.5.3.4

--
video4linux-list mailing list
Unsubscribe mailto:[email-masked]?subject=unsubscribe
https://www.redhat.com/mailman/listinfo/video4linux-list